1.0

1.0

get /v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/histories

Description

Search event policy histories

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
patheventPolicyId
required
Event Policy ID to inquire - Event Policy ID can be viewed using @[ListEventPolicies].
Example : 7226
integerNone
queryqueryStartDt
required
Query Start Date
Example : 2021-10-23T18:00:00.000Z
stringNone
queryqueryEndDt
required
Query End Date
Example : 2021-10-23T23:59:59.000Z
stringNone
querypage
optional
Page Number (default: 0)
Example : 0
integerNone
querysize
optional
Page Contents Size (default: 10)
Example : 10
integerNone
querysort
optional
Sorting Field List
array[string]None
headerX-ResourceType
required
Resource Type
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKPageResponseEventPolicyHistoryResponse
400Invalid RequestNone
401Monitoring User Not FoundNone
403Unauthorized RequestNone
404Resource Not FoundNone

Example HTTP request

Request path

/v1/cloudmonitorings/event/v2/event-policies/{eventPolicyId}/histories?queryStartDt={queryStartDt}&queryEndDt={queryEndDt}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cloudmonitoring 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "createBy": "",
            "createById": "",
            "disableObject": "N",
            "disableYn": "N",
            "eventLevel": "WARNING",
            "eventMessagePrefix": "SCP",
            "eventOccurTimeZone": "GMT+9",
            "eventPolicyHistoryId": 8759,
            "eventPolicyHistoryType": "U",
            "eventPolicyId": 7240,
            "eventPolicyStatistics": {
                "eventPolicyStatisticsPeriod": 10,
                "eventPolicyStatisticsType": "MAX"
            },
            "eventThreshold": {
                "metricFunction": "delta",
                "rangeThreshold": {
                    "maxComparisonOperator": "LT",
                    "maxValue": 90,
                    "minComparisonOperator": "GT",
                    "minValue": 80
                },
                "singleThreshold": {
                    "comparisonOperator": "LT",
                    "value": 10
                },
                "thresholdType": "RANGE_VALUE"
            },
            "ftCount": 3,
            "metricDescription": "커널에서 사용한 CPU 시간의 백분율 (core 4개 모두를 100%사용하는 경우 : 400%)",
            "metricDescriptionEn": "Percentage of CPU time used in the kernel (if 100% of all 4 cores are used: 400%)",
            "metricKey": "system.cpu.system.pct",
            "metricName": "system.cpu.system.pct",
            "metricUnit": "%",
            "modifiedBy": "",
            "modifiedByName": "",
            "modifiedDt": "2026-02-11T06:41:19.370Z",
            "notificationRecipientHistory": {
                "addrbookIds": [
                    ""
                ],
                "userIds": [
                    ""
                ],
                "userNames": [
                    ""
                ]
            },
            "objectDisplayName": "cpu0",
            "objectName": "cpu0",
            "objectType": "cluster",
            "productName": "VM-Server-01",
            "productResourceId": "INSTANCE-c4Hsd27ttDaLw533X4B6Sp",
            "productTargetType": "system.core.id 별",
            "productTargetTypeEn": "By system.core.id",
            "updateBy": "",
            "updateById": ""
        }
    ],
    "isChanged": "",
    "returnCount": "",
    "returnPage": "",
    "sort": [
        ""
    ],
    "sortableFields": [
        ""
    ],
    "totalCount": ""
}